On Tue, Aug 21, 2012 at 9:59 PM, Christoph Gohlke <cgohlke@uci.edu> wrote:
On 8/21/2012 9:24 AM, Ondřej Čertík wrote:
> Hi,
>
> I'm pleased to announce the availability of the first beta release of
> NumPy 1.7.0b1.
>
> Sources and binary installers can be found at
> https://sourceforge.net/projects/numpy/files/NumPy/1.7.0b1/
>
> Please test this release and report any issues on the numpy-discussion
> mailing list. The following problems are known and
> we'll work on fixing them before the final release:
>
> http://projects.scipy.org/numpy/ticket/2187
> http://projects.scipy.org/numpy/ticket/2185
> http://projects.scipy.org/numpy/ticket/2066
> http://projects.scipy.org/numpy/ticket/1588
> http://projects.scipy.org/numpy/ticket/2076
> http://projects.scipy.org/numpy/ticket/2101
> http://projects.scipy.org/numpy/ticket/2108
> http://projects.scipy.org/numpy/ticket/2150
> http://projects.scipy.org/numpy/ticket/2189
>
> I would like to thank Ralf for a lot of help with creating binaries
> and other help for this release.
>
> Cheers,
> Ondrej
>
>

Hi Ondrej,

will numpy 1.7.0 final support Python 3.3? The recent patch in the
master branch seems to work well.

I tested a win-amd64-py2.7\msvc9\MKL build of the numpy
maintenance/1.7.x branch against a number of package binaries from
<http://www.lfd.uci.edu/~gohlke/pythonlibs/>.

The test results are at
<http://www.lfd.uci.edu/~gohlke/pythonlibs/tests/20120821-win-amd64-py2.7-numpy-MKL-1.7.0rc1.dev-28ffac7/>.
For comparison, the tests against numpy-MKL-1.6.2 are at
<http://www.lfd.uci.edu/~gohlke/pythonlibs/tests/20120821-win-amd64-py2.7/>.

Besides some numpy 1.7.x test errors due to RuntimeWarning and
DeprecationWarning

Flipped the release switch on those in commit ea23de8, errors should be gone now.
 
, there are hundreds of "RuntimeWarning (numpy.dtype
size changed, may indicate binary incompatibility)" when loading Cython
extensions.

This looks really bad. Last discussion I could find on this topic on the Cython list: http://grokbase.com/t/python/cython-devel/121ygkvfhc/cython-upcoming-issues-with-numpy-deprecated-apis-and-cythons-sizeof-checks

At this point I think it would be a good idea to install a warning filter for this on import of numpy and leave it in place. And also in the test runner. Even if Cython would fix it now, that doesn't help for all binaries of existing releases of projects that depend on numpy.

Ralf


There are additional test failures in scipy, statsmodels, bottleneck,
skimage, vigra, and mahotas. I did not check in detail or with existing
tickets (http://projects.scipy.org/ is timing out or responding with
HTTP 500 status).

Other packages test OK against numpy 1.7.x, e.g. PIL, PyGame,
matplotlib, Pandas, tables, and numexpr.

Hope it helps.

Christoph


_______________________________________________
NumPy-Discussion mailing list
NumPy-Discussion@scipy.org
http://mail.scipy.org/mailman/listinfo/numpy-discussion